/* #region VARIABLES GLOBALES */
:root {
  /* #region inutile */
  /* inutile : ces custom properties sont déjà déclarées dans main.css,
  et copiées collées ici pour activer l'autocompletion dans les IDE. */

  /* couleurs */
  --orange: #E95420;
  --light-aubergine: #77216F;
  --mid-aubergine: #5E2750;
  --dark-aubergine: #2C001E;
  --warm-grey: #AEA79F;
  --cool-grey: #333333;
  --text-grey: #111111;

  --hot-grey:#4b4443;

  /* marges */
  --internal-margin: 1.6rem;
  --external-margin: 2rem;

  /* liens */
  --a-color: var(--orange);
  --a-hover-color: white;
  --a-hover-background-color: var(--orange);
  /* #endregion */

  --page-width: min(var(--page-narrow),calc(100% - 2*var(--external-margin)));

  /* #region couleurs light */
  --html-text-color: var(--text-grey);
  --html-background: linear-gradient(150deg, var(--orange) -100%, var(--light-aubergine) 150%);
  --html-background-color: #993057;
  --main-background-color: white;
  --html-scrollbar-color: var(--mid-aubergine) #993057;
  --body-scrollbar-track: #993057;
  --code-background-color: #3a3a3a;
  --code-border: #444;
  --quote-background-color: var(--warm-grey);
  --quote-color: var(--text-grey);
  --quote-border: #807a73;
  --quote-pict-opacity: .4;
  --td-background-color: #eee;
  --check-background: #f9f9f9;
  --check-box-shadow: rgba(50, 50, 50, .5);
  /* #endregion */
}
/* #region couleurs dark */
@media screen {
  :root.dark {
    --html-text-color: white;
    --html-background: linear-gradient(150deg, #444 0%, #564641 60%,  #444 120%);
    --html-background-color: #4f4542;
    --main-background-color: var(--cool-grey);
    --html-scrollbar-color: var(--mid-aubergine) #4f4542;
    --body-scrollbar-track: #4f4542;
    --code-background-color: var(--text-grey);
    --code-border: #242424;
    --quote-background-color: #4b4443;
    --quote-color: white;
    --quote-border: #5d5655;
    --quote-pict-opacity: .1;
    --td-background-color: #222;
    --check-background: #555;
    --check-box-shadow: rgba(50, 50, 50, .8);
  }
}
/* #endregion */
:root.wide {
  --page-width: min(var(--page-wide), 100%);
}
/* #endregion */

/* #region RESET STYLES HÉRITÉS */
html ul > li:before {
  display: none;
}
html button:hover {
  box-shadow: none;
}
html a:hover {
  background: transparent;
}
html textarea, html input, html select {
  margin: 0;
}
html h1, html h2, html h3, html h4, html h5, html h6 {
  color: unset;
}
.App-content textarea, .App-content input, .App-content select {
  box-shadow: none;
}
/* #endregion */

/* #region RE-DÉCLARATIONS STYLES UBUNTU-FR */
html body {
  font-family: ubuntu, "Trebuchet MS", "Open Sans", sans-serif;
}
html a:hover {
  text-decoration: none;
}
#app pre {
  border-left: .5rem solid var(--code-border);
  overflow: auto hidden;
  white-space: pre;
}
#app blockquote {
  background-color: var(--quote-background-color);
  color: var(--quote-color);
  border-left: .5rem solid var(--quote-border);
  overflow: hidden;
}
#app pre, #app blockquote {
  position: relative;
  z-index: 1;
  padding: .8rem;
  margin: .7rem auto;
}
#app .DiscussionListItem-title mark,
#app .DiscussionListItem-info .item-excerpt mark {
  color: var(--orange);
}
/* #endregion */

/* #region GABARIT */
.container {
  width: 100%;
}
#app {
  padding-top: calc(4.5rem + 3rem);
  margin-top: calc(-4.5rem - 3rem);
  background-color: var(--main-background-color);
  min-height: 100vh !important;
}
.App-content {
  padding-top: calc(3rem + var(--internal-margin));
  border: none;
  background: transparent;
}
#content header + .container {
  padding: 0;
}
.DiscussionPage-nav {
  min-height: var(--internal-margin);
}
/* #endregion */

/* #region HEADER */
#header {
  top: 0;
  z-index: 80;
  background-color: var(--td-background-color);
  height: 3rem;
}
#header.navbar-fixed-top {
  top: calc(4.5rem + 3rem);
  margin: 0 auto;
  /*** falkon fallback ***/
  max-width: var(--page-narrow);
  width: calc(100% - 2*var(--external-margin));
  max-width: min(100%);
  /*** fin falkon fallback ***/
  width: var(--page-width);
  transition: width .8s;
}
.wide #header.navbar-fixed-top {
  /*** falkon fallback ***/
  max-width: var(--page-wide);
  width: 100%;
  max-width: min(100%);
  /*** fin falkon fallback ***/
  width: var(--page-width);
}
#header .Header-title {
  display: none;
}
#header h1, #header input {
  margin: 0;
}
#header .Search-input input {
  padding-left: 2rem;
  color: white;
}
#header .Search-input::before {
  color: rgba(255,255,255,.7);
}
/* #endregion */

/* #region HERO */
.Hero .Hero-title {
  text-align: center;
  margin-top: 0;
}
.DiscussionHero .TagsLabel .TagLabel {
  margin-bottom: 5px;
}
/* #endregion */

/* #region TAGS */
nav.sideNav {
  scrollbar-color: rgba(0,0,0,.1) transparent;
}
nav.sideNav::-webkit-scrollbar-thumb {
  background-color: rgba(0,0,0,.1);
}
/* #endregion */

/* #region SIDEBARS */
.App-drawer {
  background-color: var(--td-background-color);
}
#app .DiscussionPage-list {
  /* container pour la sidebar - occupe toute la largeur, transparent */
  pointer-events: none;
  box-shadow: none;
  background: transparent;
  border: none;
  top: calc(4.5rem + 3rem + 3rem);
  /*** falkon fallback ***/
  max-width: var(--page-narrow);
  width: calc(100% - 2*var(--external-margin));
  max-width: min(100%);
  /*** fin falkon fallback ***/
  width: var(--page-width);
  transition: width .8s, margin .8s;
  position: fixed;
  left: 50%;
  margin-left: calc(var(--page-width) / -2);
  z-index: 80;
}
/*#app:not(.paneShowing) .DiscussionPage-list {
  left: calc(-6px - var(--pane-width)) !important;
}*/
#app .DiscussionPage-list .DiscussionList {
  pointer-events: auto;
  box-shadow: 0 0 6px rgba(0,0,0,0.35);
  position: absolute;
  height: 100%;
  width: 400px;
  left: -406px;
  transition: left .4s;
}
#app .DiscussionPage-list .DiscussionList-discussions,
#app .DiscussionPage-list .DiscussionList-loadMore {
  pointer-events: auto;
  background-color: var(--td-background-color);
}
#app .DiscussionPage-list .DiscussionList-loadMore {
  margin-top: 0;
  padding-top: 10px;
  padding-bottom: 10px;
}
#app.paneShowing .DiscussionPage-list .DiscussionList,
#app.panePinned .DiscussionPage-list .DiscussionList {
  left: 0;
}
/* #endregion */

/* #region POSTS LIST */
#app .PostsUserPage-list>li {
  border-bottom: 1px solid rgba(120,120,120,.2);
}
#app .PostsUserPage-list .Post {
  padding-bottom: 0;
}
/* #endregion */

/* #region DISCUSSION */
#app .Post-body {
  font-size: .9rem;
  line-height: 1.6em;
}
#app .PostStream-item:not(:last-child) {
  border-bottom: 1px solid rgba(120,120,120,.2);
}
#app .Post-body a {
  border: 0;
}
#app .Post-body a:hover {
  color: var(--text-grey);
}
#app .PostUser-avatar {
  min-width: var(--size);
}
#app blockquote {
  border-radius: 0;
  border-width: 0 0 0 .5em;
}
#app blockquote cite {
  display: block;
  opacity: .7;
  margin-bottom: .4em;
}
#app pre, #app code {
  font-family: ubuntu-mono, Consolas, Monaco, "Courier New", monospace;
  font-size: .9rem;
}
#app code {
  display: inline;;
  white-space: pre;
  background-color: var(--code-background-color);
  color: white;
  border-radius: 0;
  padding: 0 .2rem;
}
#app pre > code {
  padding: 0;
  background-color: transparent;
}
#app pre {
  border-radius: 0;
  background-color: var(--code-background-color);
  color: white;
  font-family: ubuntu-mono, Consolas, Monaco, "Courier New", monospace;
}
#app .hljs span {
  color: white;
}
#app .PostsUserPage-discussion a:hover {
  color: var(--orange);
}
#app .Post-body ul > li::before {
  display: block;
  content: '•';
  left: -1em;
}
.Post-body ol {
  list-style-type: none !important;
}
#app .UserMention {
  background-color: rgba(125,125,125,.3);
  border-radius: 0;
  color:rgba(0, 0, 0, .7);
  padding: 2px 3px;
}
.Post-header a:hover {
  color: #877a78;
}
#app .CommentPost-votes {
  display: flex;
}
#app .CommentPost-votes .Post-vote {
  color: #877a78;
  margin: 0;
}
#app .CommentPost-votes .Post-points {
  line-height: 2.5em;
}
/* #endregion */

/* #region COMPOSER */
.App-composer .container {
  /*** falkon fallback ***/
  max-width: var(--page-narrow);
  width: calc(100% - 2*var(--external-margin));
  max-width: min(100%);
  /*** fin falkon fallback ***/
  width: var(--page-width);
  transition: width .8s;
}
.wide .App-composer .container {
  /*** falkon fallback ***/
  max-width: var(--page-wide);
  width: 100%;
  max-width: min(100%);
  /*** fin falkon fallback ***/
  width: var(--page-width);
}
#app #composer .FormControl {
  color: var(--text-grey);
}
#app #composer .FormControl::placeholder {
  color: rgba(125,125,125,.7);
}
.TextEditor-controls {
  overflow: visible;
}
/* #endregion */

/* #region SCRUBBER */
#app .Scrubber-before, #app .Scrubber-after {
  border-left: 1px solid rgba(155, 142, 140, .3);
}
#app .Scrubber-unread {
  background: none;
  border-left: 1px solid #9f9493;
}
/* #endregion */

/* #region FORM */
#app .FormControl {
  border: 0;
  border-radius: 0;
  color: white;
}
#app .FormControl::placeholder {
  color: rgba(255,255,255,.5);
}
#app .NotificationGrid-checkbox.highlighted .Checkbox:not(.disabled),
#app .NotificationGrid-checkbox .Checkbox:hover:not(.disabled) {
  background: rgba(125,125,125,.1);
}
#app input[type='checkbox'], #app input[type='radio'] {
  --disabled: transparent;
}
#app .disabled .Checkbox-display {
  color: rgba(125,125,125,.5) !important;
}
#app .Dropdown-toggle.FormControl {
  background-color: rgba(0,0,0,.35);
}
#app .open .Dropdown-toggle.FormControl {
  background: linear-gradient(170deg, var(--light-aubergine) -100%, var(--orange) 300%);
}
#app .Usersearchbox .FormControl {
  background: linear-gradient(170deg, var(--light-aubergine) -100%, var(--orange) 300%);
}
/* #endregion */

/* #region MODAL */
#modal a:hover {
  color: var(--text-grey);
}
#modal .App-titleControl {
  color: var(--hot-grey);
}
#modal .FormControl {
  border: 0;
  border-radius: 0;
  color: white;
}
#modal .FormControl::placeholder {
  color: rgba(255,255,255,.5);
}
#modal .Modal-content {
  overflow: visible;
}
#modal .Button:not(.Button--primary) {
  background: rgba(0,0,0,.7);
  color: white;
}
#modal .Button:hover {
  background: var(--orange);
}
/* #endregion */

/* #region PAGES */
#app .Pages-container {
  white-space: normal;
}
#app .Pages-container li {
  margin-top: .5rem;
}
/* #endregion */

/* #region FILE MANAGER */
#modal .fof-upload-file-list .fof-file {
  position: relative;
}
#modal .fof-upload-file-list .fof-file-delete {
  z-index: 3;
}
#modal .fof-upload-file-list .fof-file-delete:hover {
  opacity: 1;
}
/* #endregion */

/* #region DARK MODE */
@media screen {
  #app {
    --sidenav-color: rgb(155, 142, 140)
  }
  .dark body {
    color: var(--html-text-color);
  }
  .dark .Hero {
    background-color: rgba(0,0,0,.35) !important;
    color: var(--warm-grey);
  }
  .dark #app .DiscussionListItem-title {
    color: var(--html-text-color);
  }
  .dark .DiscussionListItem:hover {
    background-color: #3a3a3a;
  }
  .dark #app .Post-body a:hover {
    color: white;
  }
  .dark .PostUser h3, .dark .PostUser h3 a {
    color: var(--warm-grey);
  }
  .dark .DiscussionPage-list .DiscussionListItem.active {
    background-color: var(--cool-grey);
  }
  .dark .Dropdown-menu {
    color: var(--warm-grey);
  }
  .dark .TagTile.colored {
    background-color: rgba(0,0,0,.35) !important;
  }
  .dark nav.sideNav {
    scrollbar-color: rgba(0,0,0,.35) transparent;
  }
  .dark nav.sideNav::-webkit-scrollbar-thumb {
    background-color: rgba(0,0,0,.35);
  }
  .dark .Button {
    background: rgba(0,0,0,.35);
  }
  .dark .Button--primary {
    background: var(--orange);
  }
  .dark .DiscussionHero .TagsLabel .TagLabel.colored {
    background: var(--tag-bg) !important;
  }
  .dark .TagLabel.colored .TagLabel-text {
    color: var(--html-text-color) !important;
  }
  .dark #app th, .dark #app td {
    border-color: var(--cool-grey);
  }
  .dark .Checkbox--switch .Checkbox-display:before {
    background: var(--hot-grey);
  }
  .dark .Checkbox--switch div {
    background: var(--text-grey);
  }
  .dark #app .DiscussionPage-list .DiscussionList-discussions,
  .dark #app .DiscussionPage-list .DiscussionList-loadMore {
    background-color: var(--td-background-color);
  }
  .dark .Composer {
    background-color: var(--td-background-color);
  }
  .dark #app #composer .FormControl {
    color: white;
  }
  .dark .unread .DiscussionListItem-count {
    color: rgb(155, 142, 140)
  }
  .dark #app .Button--flat {
    background: none;
  }
  .dark #app .Scrubber-unread {
    border-left: 1px solid white;
  }
  .dark #app .UserMention {
    color: rgba(255,255,255,.7);
  }
  .dark #app .Post-footer .item-bestAnswerPost .Post-body {
    color: white;
  }
}
/* #endregion */

/* #region PRINT */
@media print {
  #drawer,
  #app-navigation,
  .DiscussionPage-nav,
  .sideNav,
  .IndexPage-toolbar,
  .Button {
    display: none;
  }
}
/* #endregion */

/* #region BREAKPOINTS */
@media (max-width: 1000px) {
  /** tablettes + smartphones **/
  /* topbar */
  #header.navbar-fixed-top {
    width: 100%;
  }
  /* sidebar */
  #app .DiscussionPage-list {
    --page-width: 100%;
  }
}
@media (max-width: 500px) {
  /** smartphone **/
  /* topbar */
  #app #app-navigation {
    top: 4.5rem;
  }
  #app {
    padding-top: 4.5rem;
    margin-top: -4.5rem;
  }
  /* contenu topbar */
  html #app #content .App-titleControl, html #app.App #content .App-primaryControl {
    top: 4.5rem !important;
  }
  #app #app-navigation .Navigation-back, #app #app-navigation .Navigation {
    position: fixed;
    top: 4.5rem !important;
  }
}
@media (min-width: 501px) and (max-height: 800px) {
  /** smartphone paysage **/
  /* topbar */
  .scrolled #header  {
    top: 3rem;
  }
  .scrolled #app-navigation {
    top: 3rem;
  }
  /* sidebar */
  #app.scrolled .DiscussionPage-list {
    top: calc(3rem + 3rem);
  }
}
@media (max-width: 767px) and (max-height: 800px) {
  /* topbar */
  #app.scrolled .App-titleControl,
  #app.scrolled #content .App-primaryControl,
  #app.scrolled .Navigation-back,
  #app.scrolled .Navigation {
    top: 3rem !important;
  }
}
@media (max-width: 767px) { 
  /** flarum mobiles **/
  #app-navigation {
    background-color: var(--td-background-color);
    top: calc(4.5rem + 3rem);
    z-index: 80;
  }
  #app .App-titleControl, #app #content .App-primaryControl {
    top: calc(4.5rem + 3rem) !important;
    z-index: 81;
  }
  html .App .App-titleControl .Dropdown-toggle > .Button-label {
    font-size: .8rem;
  }
  #app .Navigation-back, #app .Navigation {
    position: fixed;
    top: calc(4.5rem + 3rem) !important;
  }
}
@media (min-width: 768px) {
  /** flarum desktops **/
}
@media (max-width: 991px) and (min-width: 768px) {
  .sideNav .item-nav .Dropdown {
    position: initial;
  }
  .sideNav::after {
    display: none;
  }
  .sideNav .item-nav {
    margin: 0;
  }
}
/* #endregion */